Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis.interpolation
Class NevilleInterpolator

    java.lang.Object
      org.apache.commons.math.analysis.interpolation.NevilleInterpolator

All Implemented Interfaces:
  Serializable, UnivariateRealInterpolator

    public class NevilleInterpolator

extends Object
implements UnivariateRealInterpolator, Serializable

Implements the Neville's Algorithm for interpolation of real univariate functions. For reference, see Introduction to Numerical Analysis, ISBN 038795452X, chapter 2.

The actual code of Neville's evalution is in PolynomialFunctionLagrangeForm, this class provides an easy-to-use interface to it.

Since:
  1.2
Version:
  $Revision: 799857 $ $Date: 2009-08-01 15:07:12 +0200 (sam. 01 aoÃ»t 2009) $
See Also:
  Serialized Form

Constructor Summary
`NevilleInterpolator()`

Method Summary
`PolynomialFunctionLagrangeForm` | `interpolate(double[] x, double[] y)` Computes an interpolating function for the data set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NevilleInterpolator

    public NevilleInterpolator()

Method Detail

### interpolate

    public PolynomialFunctionLagrangeForm interpolate(double[] x,
                                                      double[] y)
                                               throws MathException

  Computes an interpolating function for the data set.

  Specified by:
    `interpolate` in interface `UnivariateRealInterpolator`
  Parameters:
    `x` - the interpolating points array
    `y` - the interpolating values array
  Returns:
    a function which interpolates the data set
  Throws:
    `MathException` - if arguments are invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.